<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes" />

<xsl:template match="calendar">

<html lang="en">

  <head>
    <title><xsl:value-of select="summary/year"/> Calendar | generated by Polyrex-Calendar</title>
    <link rel="stylesheet" href="layout.css"/>
    <link rel="stylesheet" href="year.css"/>
  </head>

  <body>
    <div id="wrap">

      <div>
      <header>
        <nav>
        <ul>
          <li><a href='/'>home</a></li>
          <li><a href='/calendar/'>calendar</a></li>
          <li>forward planner</li>
        </ul>
        </nav>
      </header>
        <h1><xsl:value-of select="summary/year"/> Forward Planner</h1>
        <xsl:apply-templates select="records"/>
      </div>
      <div>
        <h1><xsl:value-of select="summary/year"/> Dates</h1>
        <ul>
        <xsl:for-each select="records/month/records/week/records/day/summary[event!='']">
          <li><span><xsl:value-of select="substring(sdate,6,8)"/></span><xsl:text>  </xsl:text> <xsl:value-of select="event"/></li>          
        </xsl:for-each>
        </ul>
      </div>
      <div>
        <h1><xsl:value-of select="summary/year"/> Dates</h1>
        <ul>
        <xsl:for-each select="records/month/records/week/records/day/summary[bankholiday!='']">
          <li><span><xsl:value-of select="substring(sdate,6,8)"/></span><xsl:text>  </xsl:text> <xsl:value-of select="bankholiday"/></li>          
        </xsl:for-each>
        </ul>
      </div>
    </div>
  </body>
</html>

</xsl:template>

<xsl:template match="records/month">
  <div>
    <table>
      <xsl:apply-templates select="summary"/>
      <tr><th>M</th><th>T</th><th>W</th><th>T</th><th>F</th><th>S</th><th>S</th></tr>
      <xsl:apply-templates select="records"/>
    </table>
  </div>
</xsl:template>

<xsl:template match="month/summary">
  <caption><xsl:value-of select="title"/></caption>
</xsl:template>

<xsl:template match="records/week">
  <xsl:apply-templates select="summary"/>  
  <xsl:element name="tr">
    <xsl:apply-templates select="records"/>
  </xsl:element>
</xsl:template>

<xsl:template match="week/summary">
  
</xsl:template>

<xsl:template match="records/day">
  <xsl:apply-templates select="summary"/>
  <xsl:apply-templates select="records"/>
</xsl:template>

<xsl:template match="day/summary">
  <td>
    <xsl:if test="@class">
      <xsl:attribute name="class"><xsl:value-of select="@class"/></xsl:attribute>
    </xsl:if>

    <xsl:if test="not(xday)">
        <span>.</span>
    </xsl:if>
      <xsl:value-of select="xday"/>  
  </td>
</xsl:template>

<xsl:template match="records/entry">
</xsl:template>


</xsl:stylesheet>