<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes" />

<xsl:template match="calendar">

<html lang="en">

  <head>
    <title><xsl:value-of select="summary/title"/><xsl:text> </xsl:text><xsl:value-of select="summary/year"/> kitchen planner | generated by Polyrex-Calendar</title>
    <link rel="stylesheet" href="monthday_layout.css" media="screen, projection, tv, print"/>
    <link rel="stylesheet" href="monthday.css" media="screen, projection, tv, print"/>
  <link rel="stylesheet" href="monthday_print.css" media="print"/>
  </head>

  <body>
    <div id="wrap">
 <header>

  <nav>
  <ul>
    <li><a href='/'>home</a></li>
    <li><a href='/calendar/'>calendar</a></li>
    <li>kitchen monthly planner</li>
  </ul>
  </nav>
 </header>
      <xsl:apply-templates select="records"/>

    </div>
  </body>
</html>

</xsl:template>

<xsl:template match="records/month">
 <header>

  <h1><xsl:value-of select="../../summary/year"/></h1>
  <h2><xsl:value-of select="summary/title"/></h2>
</header>
<ul>
  <xsl:apply-templates select="records"/>
</ul>
</xsl:template>


<xsl:template match="records/day">
  <xsl:apply-templates select="summary"/>
</xsl:template>


<xsl:template match="day/summary">
  <xsl:element name="li">
    <xsl:if test="@class">
      <xsl:attribute name="class"><xsl:value-of select="@class"/></xsl:attribute>
    </xsl:if>
    <div><xsl:value-of select="xday"/></div>
    <div><xsl:value-of select="substring(title,1,3)"/></div>
    <div>

      <ul>
      <xsl:if test="not(event='')">
        <li><strong><xsl:value-of select="event"/></strong></li>
      </xsl:if>
      <xsl:if test="../records/entry/summary/title and not(../records/entry/summary/title='')">
      <li><xsl:value-of select="../records/entry/summary/title"/></li>
      </xsl:if>
      </ul>

    </div>
    <div><xsl:value-of select="bankholiday"/></div>
  </xsl:element>
</xsl:template>


</xsl:stylesheet>
