<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes" />

<xsl:template match="month">

<html lang="en">

  <head>
    <title><xsl:value-of select="summary/title"/><xsl:text> </xsl:text><xsl:value-of select="summary/year"/> planner | generated by Polyrex-Calendar</title>
    <link rel="stylesheet" href="month_layout.css"/>
    <link rel="stylesheet" href="month.css"/>
  </head>

  <body>
    <div id="wrap">
    <header>
      <nav>
      <ul>
        <li><a href='/'>home</a></li>
        <li>calendar</li>
      </ul>
      </nav>
      <nav>
        <ul>
          <li><a href="kplanner.html">kitchen monthly planner</a></li>
          <li><a href="weekly_planner.html">weekly planner</a></li>
          <li><a href="calendar.html">yearly planner</a></li>
        </ul>
      </nav>
    </header>
  <h1><xsl:value-of select="summary/title"/><xsl:text> </xsl:text><xsl:value-of select="summary/year"/></h1>
  <table>
    <tr><th>Sunday</th><th>Monday</th><th>Tuesday</th><th>Wednesday</th><th>Thursday</th><th>Friday</th><th>Saturday</th></tr>
      <xsl:apply-templates select="records"/>
  </table>
    </div>
  </body>
</html>

</xsl:template>

<xsl:template match="month/summary">
  <caption><xsl:value-of select="title"/></caption>
</xsl:template>


<xsl:template match="records/week">
  <tr>
  <xsl:apply-templates select="summary"/>
  <xsl:apply-templates select="records"/>
  </tr>
</xsl:template>

<xsl:template match="week/summary">

</xsl:template>

<xsl:template match="records/day">
<td>
  <xsl:if test="summary/css_style">
    <xsl:attribute name="class"><xsl:value-of select="summary/css_style"/></xsl:attribute>
  </xsl:if>

<div>
    <div><xsl:value-of select="summary/xday"/></div>
    <div><xsl:value-of select="summary/bankholiday"/></div>
    <ul>
      <xsl:if test="summary/event and not(summary/event='')">
      <li><strong><xsl:value-of select="summary/event"/></strong></li>
      </xsl:if>
      <xsl:apply-templates select="records"/>
    </ul>
</div>
</td>
</xsl:template>


<xsl:template match="records/entry">
  <xsl:if test="summary/title and not(summary/title='')">
  <li><xsl:value-of select="summary/title"/></li>
  </xsl:if>
</xsl:template>


</xsl:stylesheet>